"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.startAppBranchUpdateTaskDef = void 0;
const _1 = require("./$");
exports.startAppBranchUpdateTaskDef = _1.__.defineManagedFunc()
    .name(`startAppBranchUpdateTask`)
    .namespace(_1.$namespace)
    .errorTypes([
    _1._.AppAccessTokenIsInvalid,
    _1._.AppBranchDoesNotExist,
    _1._.AppBranchIsNotRegistered,
    _1._.AppBranchIsPreinstalled,
    _1._.AppBranchOngoingTaskExists,
    _1._.AppBranchRootDirPermissionsAreInsufficient,
    _1._.AppBranchNeedsRepairing,
    _1._.ServiceConnectionIsNotAvailable,
])
    .async()
    .executeType().startAppBranchUpdateTaskDef;
//# sourceMappingURL=start-app-branch-update-task-def.js.map