import { __ } from "./$";
export declare const callNodeFetchDef: __.ManagedAsyncFuncDef<"callNodeFetch", ({}: {
    nodeFetchArgs: {
        input: string;
        init?: {
            body?: string | null;
            headers?: {
                [key: string]: string;
            };
            method?: string;
            redirect?: `error` | `follow` | `manual`;
        };
    };
}) => Promise<({
    response: {
        bodyAsText: string;
        ok: boolean;
        redirected: boolean;
        status: number;
        statusText: string;
        url: string;
    };
    error: undefined;
} | {
    response: undefined;
    error: {
        name: string | undefined;
        message: string | undefined;
        type: string | undefined;
    };
})>>;
//# sourceMappingURL=call-node-fetch-def.d.ts.map