"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.registerAppBranchDef = void 0;
const _1 = require("./$");
exports.registerAppBranchDef = _1.__.defineManagedFunc()
    .name(`registerAppBranch`)
    .namespace(_1.$namespace)
    .errorTypes([
    _1._.AppAccessTokenIsInvalid,
    _1._.AppBranchDoesNotExist,
    _1._.AppBranchIsPreinstalled,
    _1._.AppBranchIsAlreadyRegistered,
    _1._.AppBranchRootDirPermissionsAreInsufficient,
    _1._.AppBranchRootDirIsConflictingWithOtherFileSystemEntry,
    _1._.AppBranchRootDirIsNotEmpty,
    _1._.ServiceConnectionIsNotAvailable,
])
    .async()
    .executeType().registerAppBranchDef;
//# sourceMappingURL=register-app-branch-def.js.map